| Home · API Reference · Modules

Public Member Functions | Public Attributes | List of all members
Maliit::PreeditTextFormat Struct Reference

`#include <namespace.h>`

## Public Member Functions

| PreeditTextFormat ()
| PreeditTextFormat (int s, int l, const PreeditFace &face)

## Public Attributes

int | start
int | length
PreeditFace | preeditFace

## Detailed Description

The text format for part of the preedit string, specified by start and length.

See also
  PreeditFace.

## Constructor & Destructor Documentation

## ◆ PreeditTextFormat() [1/2]

Maliit::PreeditTextFormat::PreeditTextFormat | ( |  | ) |

inline

## ◆ PreeditTextFormat() [2/2]

Maliit::PreeditTextFormat::PreeditTextFormat | ( | int | s,
|  | int | l,
|  | const PreeditFace & | face
| ) |  |

inline

## Member Data Documentation

## ◆ length

int Maliit::PreeditTextFormat::length

## ◆ preeditFace

PreeditFace Maliit::PreeditTextFormat::preeditFace

## ◆ start

int Maliit::PreeditTextFormat::start

Copyright © 2011 Nokia Corporation |  | Maliit